docs

# SetWebhook

data class SetWebhook : SetWebhookRequest, DataRequest < Boolean >
Content copied to clipboard

Use this method to specify a url and receive incoming updates via an outgoing webhook. Whenever there is an update for the bot, we will send an HTTPS POST request to the specified url, containing a JSON-serialized Update.

If you'd like to make sure that the Webhook request comes from Telegram, we recommend using a secret path in the url, e.g. https://www.example.com/. Since nobody else knows your bot's token, you can be pretty sure it's us.

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

allowedUpdates
Link copied to clipboard
val allowedUpdates : List < String >? = null
Content copied to clipboard
certificateFile
Link copied to clipboard
val certificateFile : String ? = null
Content copied to clipboard
dropPendingUpdates
Link copied to clipboard
val dropPendingUpdates : Boolean ? = null
Content copied to clipboard
ipAddress
Link copied to clipboard
val ipAddress : String ? = null
Content copied to clipboard
maxAllowedConnections
Link copied to clipboard
val maxAllowedConnections : Int ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< Boolean >
Content copied to clipboard
url
Link copied to clipboard
val url : String
Content copied to clipboard